Package tigase.server.rtbl

# Enum Class RTBLIqModule.ResultEvent.Result

java.lang.Object
java.lang.Enum<RTBLIqModule.ResultEvent.Result>
tigase.server.rtbl.RTBLIqModule.ResultEvent.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<RTBLIqModule.ResultEvent.Result>`, `Constable`

Enclosing class:
  RTBLIqModule.ResultEvent

public static enum RTBLIqModule.ResultEvent.Result extends Enum<RTBLIqModule.ResultEvent.Result>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `failureNoRetry`
  `failureRetry`
  `success`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RTBLIqModule.ResultEvent.Result`
  `fromPacket(Packet packet)`
  `static RTBLIqModule.ResultEvent.Result`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RTBLIqModule.ResultEvent.Result[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### success

    public static final RTBLIqModule.ResultEvent.Result success

  - ### failureRetry

    public static final RTBLIqModule.ResultEvent.Result failureRetry

  - ### failureNoRetry

    public static final RTBLIqModule.ResultEvent.Result failureNoRetry

- ## Method Details

  - ### values

    public static RTBLIqModule.ResultEvent.Result[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RTBLIqModule.ResultEvent.Result valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromPacket

    public static RTBLIqModule.ResultEvent.Result fromPacket(Packet packet) throws ComponentException
    Throws:
      `ComponentException`